### Enumeration

# WebKit2 CookieAcceptPolicy

#### Declaration

    enum WebKit2.CookieAcceptPolicy

#### Description [src]

Enum values used to denote the cookie acceptance policies.

#### Members

`WEBKIT_COOKIE_POLICY_ACCEPT_ALWAYS`

  Accept all cookies unconditionally.

  - Value: `0`
  - Available since: 4.0
`WEBKIT_COOKIE_POLICY_ACCEPT_NEVER`

  Reject all cookies unconditionally.

  - Value: `1`
  - Available since: 4.0
`WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY`

  Accept only cookies set by the main document loaded.

  - Value: `2`
  - Available since: 4.0